Skip to main content
GET
/
api
/
contacts
List contacts
curl --request GET \
  --url https://folksbase.onrender.com/api/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "phone": "<string>",
      "company": "<string>",
      "notes": "<string>",
      "avatar_url": "<string>",
      "is_unsubscribed": true,
      "custom_fields": {},
      "created_at": "<string>",
      "updated_at": "<string>",
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>",
          "emoji": "<string>",
          "created_at": "<string>"
        }
      ]
    }
  ],
  "nextCursor": "<string>",
  "total": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token from Authorization header

Query Parameters

cursor
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
limit
integer
Required range: 1 <= x <= 100
tag_ids
string
is_unsubscribed
enum<string>
Available options:
true,
false

Response

Paginated contact list

data
object[]
required
nextCursor
string | null
required
total
number
required